@echo off
echo.
if "%1" == "stop" goto stop
echo Installing service "git-scmi"
echo ----------------------------------------------------------------------
echo Stop and uninstall with "git-scmi stop"
echo.
echo Installing service...
instsrv.exe git-scmi "C:\scmi_dir_path\srvany.exe"
echo.
echo Adding to registry...
regedit git-scmi.reg
echo.
echo Starting service...
net start git-scmi
goto end
:stop
echo Stop and uninstall service "git-scmi"
echo ----------------------------------------------------------------------
echo Stopping service...
net stop git-scmi

For /F "tokens=1* delims==" %%A IN (git.properties) DO (
    IF "%%A"=="scmi.port" set port=%%B
    )

echo SCMI is listening on port: %port%. Killing Process...
for /f "tokens=5 delims= " %%a in ('netstat -nao ^| findstr %port%') do (taskkill /f /pid %%a) 

echo Removing from registry...
instsrv.exe git-scmi remove
:end
echo.
echo *** Done ***
echo.
pause
